Autohero: Search
Search from Autohero as JSON. 1 credit per successful call.
GET /v1/autohero/search
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
country | string | Optional | DE, AT, FR, ES, IT, PL, BE, NL |
brand | string | Optional | Up to 50 characters |
model | string | Optional | Up to 50 characters |
price_min | integer | Optional | Any |
price_max | integer | Optional | Any |
mileage_max | integer | Optional | Any |
year_min | integer | Optional | Any |
sort | string | Optional | lowest_price, highest_price, lowest_mileage, highest_mileage, brand_asc, brand_desc, newest_eligible, most_popular |
limit | integer | Optional | Any |
offset | integer | Optional | Any |
Example request
curl "https://api.perceptlayer.com/v1/autohero/search?country=DE&brand=BMW&sort=lowest_price&limit=2" \
-H "X-API-Key: $API_KEY"Run this endpoint in the playground with your own parameters. 1 credit per successful call; failed calls are free.